classification
Title: shoutdown process error with python 3.4 and pyqt/PySide
Type: crash Stage: resolved
Components: Library (Lib) Versions: Python 3.4
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: alberfontan1, larry, terry.reedy
Priority: normal Keywords:

Created on 2017-06-29 07:56 by alberfontan1, last changed 2017-07-24 22:44 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 2413 closed alberfontan1, 2017-06-29 07:57
Messages (3)
msg297261 - (view) Author: alberfontan1 (alberfontan1) Date: 2017-06-29 07:56
For a package applicaction with pyqt/PySide, Python 3.4 on Windows, appers a window fatal error when shoutdown process manager of multiprocessing
msg298154 - (view) Author: Larry Hastings (larry) * (Python committer) Date: 2017-07-11 12:49
Python 3.4 no longer accepts bug fixes; it is in "security fixes only" mode.  Since this is not a security fix, it will not be accepted into Python 3.4.

If this bug affects other versions of Python, please file a new bug.  Although, unless you move *very* quickly, this fix won't be accepted into 3.5 either, as it's going to move into "security fixes only" mode later this month.

Finally, your submitted patch (PR 2413) does not apply to the 3.4 branch, it applies to master.  I have no opinion about whether or not this code should be accepted into master.  But the PR talks about fixing a bug in 3.4, which is wrong.
msg299027 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2017-07-24 22:44
You must demonstrate that there is a problem with 3.6 or 3.7 and then write a patch that fixes the problem in those versions.
History
Date User Action Args
2017-07-24 22:44:41terry.reedysetnosy: + terry.reedy
messages: + msg299027
2017-07-11 12:49:41larrysetstatus: open -> closed

nosy: + larry
messages: + msg298154

resolution: wont fix
stage: resolved
2017-06-29 07:57:12alberfontan1setpull_requests: + pull_request2544
2017-06-29 07:56:43alberfontan1create